import { nextTick as n } from "vue";
import { isNoValue as r } from "../utils.mjs";
const m = {
  get(o) {
    let e;
    const t = o.component?.exposed;
    return t && (e = t.getFieldsValue()), e;
  },
  set(o, e) {
    if (r(e)) return;
    const t = o.component?.exposed;
    t && n(() => {
      t.setFieldsValue(e);
    });
  }
};
export {
  m as default
};
